[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH 1/2] qemu: Enable QEMU_CAPS_PCI_ROMBAR unconditionally



On 05/13/2016 09:47 AM, Andrea Bolognani wrote:
We already do this when parsing the help string (QEMU versions
between 0.12.0 and 1.2.0), but not when using QMP.

Stop checking the QMP data, and enable it unconditionally even
when using QMP instead.

The QMP check was never accurate anyway, since it was based on
the availability of the 'rombar' property for the {kvm-}pci-assign
device, ignoring the fact that the same property exists and can be
used for devices such as virtio-net-pci.

Since a few other capabilities are enabled based on a version
check, but the version in question is older than 0.12.0, move
those to a new virQEMUCapsInitHelpBasic() function and get rid
of the version checks altogether.
---

ACK.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]